# [Ethereum] Process contract call

Endpoint: POST /v1/ledgers/{ledgerId}/ethereum/call
Security: httpAuth

## Security:

  - `httpAuth` (unknown)
    http bearer

## Path parameters:

  - `ledgerId` (string, required)

## Request body:

  - `application/json` (unknown)
    A contract call to execute on an ethereum compatible ledger.

## Request fields (application/json):

  - `contractAddress` (string, required)

  - `from` (any, required)

  - `from.domainId` (string, required)

  - `from.accountId` (string, required)

  - `from.type` (string, required)
    Enum: "Account", "Address"

  - `from.address` (string, required)

  - `value` (string)
    This field is a large integer that can be positive or zero. It is represented as a string because it may contain value that cannot be expressed with JSON number without a loss of precision.

  - `data` (string)

## Response 400:

  - `400` (unknown)
    Invalid value for: path parameter ledgerId, Invalid value for: body

## Response 401:

  - `401` (unknown)
    One of: Invalid JWT (InvalidJwtError); User not authorized (PermissionDeniedError)

## Response 401 fields (application/json):

  - `reason` (string, required)

  - `message` (string)

## Response 404:

  - `404` (unknown)
    Entity or Domain not found (EntityNotFoundError)

## Response 404 fields (application/json):

  - `reason` (string, required)

  - `message` (string)

